Skip to content

List books

GET
/api/v1/books
curl --request GET \
--url 'http://127.0.0.1:8080/api/v1/books?limit=50&offset=0&state=active' \
--header 'Authorization: Bearer <token>'
limit

Maximum number of books to return

integer format: int64
default: 50 >= 1 <= 200

Maximum number of books to return

offset

Number of books to skip

integer format: int64
0

Number of books to skip

entry_id

Report whether each book contains this library recipe entry

string

Report whether each book contains this library recipe entry

state

Book lifecycle state to list

string
default: active
Allowed values: active trash

Book lifecycle state to list

OK

Media typeapplication/json
object
items
required
Array<object> | null
object
author
string
contains_entry
boolean
cover_asset_id
string
deleted_at
string format: date-time
entry_count
required
integer format: int64
id
required
string
kind
required
string
Allowed values: personal publication
revision
required
integer format: int64
>= 1
title
required
string
updated_at
required
string format: date-time
key
additional properties
any
limit
required
integer format: int64
offset
required
integer format: int64
total
required
integer format: int64
key
additional properties
any
Example
{
"items": [
{
"kind": "personal"
}
]
}

No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Error

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}